body{
    margin: 0;
    padding: 0;
}
section{
    width: 100%;
    height: 100vh;
    background: linear-gradient(to left, #1366ff, #ff0b6d);
}
a{
    position: absolute;
    top:50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-family: sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 6px;
    font-size: 24px;
    transition: .5s;
    color: #fff;
    background:#000;
    border-radius: 60px;
    border: 4px solid #fff;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .5);
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to left, #1366ff, #ff0b6d);
    z-index: -1;
    border-radius: 60px;
    transform: scaleX(0);
    transform-origin: right;
    transition: transform 0.5s ease-in-out;
}
a:hover:before{
    transform: scaleX(1);
    transform-origin: left;
}